# ORMC Handouts

This repository contains all the handouts I've written for the [ORMC](https://circles.math.ucla.edu/circles/).

If you are not affiliated with the ORMC, ask for permission before using these.



## Contents

Handouts are sorted by the class they're for:
 - [`./Intermediate`](./Intermediate/): Grades 5 - 9
 - [`./Advanced`](./Advanced): Grades 9 - 12

Grade levels are estimates.



## Getting the Handouts

If you don't want to compile these yourself, I've configured CI that puts the latest pdfs [here](https://nc.betalupi.com/s/ormc-handouts).

**For my students:** Handouts will appear here a few days before class. Please don't look at them (or their solutions) beforehand, that spoils all the fun!



## Building them Yourself

Most handouts use a custom document class. If you move any files out of this repository, you'll need to change a few things for the handout to compile:
 1. Download [`./resources/ormc_handout.cls`](./resources/ormc_handout.cls).
 2. Put it in the same directory as the handout.
 3. Fix the include path at the top of the handout.

	Usually, you'll need to replace

	```latex
	\documentclass[
		solutions
	]{../../resources/ormc_handout}
	```

	with

	```latex
	\documentclass[
		solutions
	]{ormc_handout}
	```

**Warning:** As of now, `ormc_handout.cls` does not work with hyperref.